Debian Bug report logs - #256332
db4.2-doc: non-free

version graph

Package: db4.2-doc; Maintainer for db4.2-doc is (unknown);

Reported by: Florian Weimer <fw@deneb.enyo.de>

Date: Sat, 26 Jun 2004 08:33:01 UTC

Severity: serious

Tags: fixed

Merged with 357528

Found in versions 4.2.52-16, db4.2-doc/4.2.52-18, db4.2-doc/4.2.52-24

Fixed in versions 4.2.52+dfsg-0.1, db4.2/4.2.52+dfsg-1

Done: Clint Adams <schizo@debian.org>

Bug is archived. No further changes may be made.

Full log


Message #134 received at 256332@bugs.debian.org (full text, mbox):

Received: (at 256332) by bugs.debian.org; 4 May 2006 20:28:50 +0000
From aba@not.so.argh.org Thu May 04 13:28:50 2006
Return-path: <aba@not.so.argh.org>
Received: from neualius.turmzimmer.net ([217.160.169.58])
	by spohr.debian.org with esmtp (Exim 4.50)
	id 1FbkRO-0007qw-32
	for 256332@bugs.debian.org; Thu, 04 May 2006 13:28:50 -0700
Received: from [195.60.122.97] (helo=metis.turmzimmer.net)
	by neualius.turmzimmer.net with esmtp (Exim 4.50)
	id 1FbkRH-0000fZ-0W; Thu, 04 May 2006 22:28:44 +0200
Received: from [10.0.0.2] (helo=eos.turmzimmer.net)
	by metis.turmzimmer.net with esmtp (Exim 4.50)
	id 1FbkRE-00016d-47; Thu, 04 May 2006 22:28:40 +0200
Received: from aba by eos.turmzimmer.net with local (Exim 4.50)
	id 1FbkRO-000798-A2; Thu, 04 May 2006 22:28:50 +0200
Date: Thu, 4 May 2006 22:28:50 +0200
From: Andreas Barth <aba@not.so.argh.org>
To: Mike Olson <mike.olson@oracle.com>
Cc: 'dann frazier' <dannf@dannf.org>, 256332@bugs.debian.org,
	debian-legal@lists.debian.org, debian-release@lists.debian.org
Subject: Re: clarification of doc licensing for db3/db4.2
Message-ID: <20060504202850.GP408@mails.so.argh.org>
Mail-Followup-To: Andreas Barth <aba@not.so.argh.org>,
	Mike Olson <mike.olson@oracle.com>,
	'dann frazier' <dannf@dannf.org>, 256332@bugs.debian.org,
	debian-legal@lists.debian.org, debian-release@lists.debian.org
References: <20060406215140.GB22737@colo> <008e01c65c37$cf7780f0$66dc0a0a@northstar>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <008e01c65c37$cf7780f0$66dc0a0a@northstar>
X-Editor: Vim http://www.vim.org/
User-Agent: Mutt/1.5.9i
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-3.0 required=4.0 tests=BAYES_00 autolearn=no 
	version=2.60-bugs.debian.org_2005_01_02
Hi,

sorry for not responding earlier.

* Mike Olson (mike.olson@oracle.com) [060410 03:51]:
> This is going to be some work for me.  Oracle's legal department has been
> very helpful on our open source requests so far, but it's a large team and
> is not familiar with this issue yet.  I'll need to find, then brief, then
> extract approval from, the right people here.
> 
> Before I do that, can I get some kind of authoritative statement from
> Debian that the effort is necessary, and that it will satisfy the concerns
> that have raised this issue for the second time?  I want to be helpful,
> but I want to be sure we are solving the problem here.

Hm, there is some good and bad news on it. First of all, the current
statement in db3/db4.2 doesn't match how we expect documentation to be.
However, beginning from db4.3, this is already fixed, so we don't have
really large problems for future development.

For db3 and db4.2, there are two ways to fix the issue:
* We could stop providing the package for etch (and tell people to use
  db4.3/db4.4 instead).
* Oracle could change the license, e.g. to the one used in db4.3/db4.4.

From the release team's point of view, it definitly makes sense to
reduce the number of libdb-versions as much as possible. :)

We currently have:
       db3 |        db3 |   3.2.9-25 |      unstable | source
     db4.2 |      db4.2 |  4.2.52-24 |      unstable | source
     db4.3 |      db4.3 |   4.3.29-5 |      unstable | source
     db4.4 |      db4.4 |   4.4.20-4 |      unstable | source

However, given both history and that db4.2 was quite much used in sarge
(and db3 was still in major use), I doubt a bit that we can manage that
in time for etch.


Do you think it is possible without too much effort to adopt the
documentation license from db4.3/db4.4, which reads as:
|  This product and publication is protected by copyright and
|  distributed under licenses restricting its use, copying and
|  distribution. See the LICENSE file in the distribution for further
|  information.
also to the db3/db4.2-packages, where this section reads as:
| This product and publication is protected by copyright and distributed
| under licenses restricting its use, copying and distribution. Permission
| to use this publication or portions of this publication is granted by
| Sleepycat Software provided that the above copyright notice appears in
| all copies and that use of such publications is for non-commercial use
| only and no modifications of the publication is made.


If not, we should consider how to get to the goal with minimum effort on
all sides.

Thanks for your support.


Cheers,
Andi
-- 
  http://home.arcor.de/andreas-barth/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:46:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.